[IPython-dev] Ipython - dev on debian sid (zmq suppport)

massimo di stefano massimodisasha@gmail....
Sun Oct 30 09:56:07 CDT 2011


i removed the file "/usr/local/bin/ipython-qtconsole"
now it is no more generated by the build (i guess fo the missed zmq dep.)

i downloaded ipython with this line :

 git clone https://github.com/ipython/ipython.git

(few minutes ago)

then i tried to reinstall it ... but no lucky

epi@epinux:~/ipython$ ipython-qtconsole
bash: /usr/local/bin/ipython-qtconsole: File o directory non esistente


epi@epinux:~/ipython$ ipython netbook
[TerminalIPythonApp] File not found: u'netbook'


epi@epinux:~/ipython$ ipython
Python 2.7.2+ (default, Oct  5 2011, 10:41:47)
Type "copyright", "credits" or "license" for more information.

IPython 0.12.dev -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object', use 'object??' for extra details.

In [1]:



2011/10/30 Julian Taylor <jtaylor.debian@googlemail.com>

> On 10/30/2011 03:35 PM, massimo di stefano wrote:
> > Hi Julian,
> >
> > i tried to upgrade my local ipython, i checked the version on my distro
> >
> >
> >   File
> >
> "/usr/local/lib/python2.7/dist-packages/ipython-0.11-py2.7.egg/IPython/zmq/__init__.py",
> > line 25, in <module>
> >     minimum_pyzmq_version, pyzmq_version))
> > ImportError: IPython.zmq requires pyzmq >= 2.1.4, but you have 2.1.10
> >
> >
> >
>
> make sure to install the latest git version.
> Especially this file must be the newest:
>
> /usr/local/lib/python2.7/dist-packages/ipython-0.11-py2.7.egg/IPython/zmq/__init__.py
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/ipython-dev/attachments/20111030/efbf6a00/attachment.html 


More information about the IPython-dev mailing list